/* DEFS: readonly CkGroupID lbdb;
 */
extern CkGroupID lbdb;

/* DEFS: mainchare LBDBInit{
LBDBInit();
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_LBDBInit::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_LBDBInit::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
    /* REG: LBDBInit();
*/
      __idx_LBDBInit = CkRegisterEp("LBDBInit", (CkCallFnPtr)_call_LBDBInit, 0, __idx);
      CkRegisterMainChare(__idx, __idx_LBDBInit);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: LBDBInit();
 */
int CProxy_LBDBInit::__idx_LBDBInit=0;
void CProxy_LBDBInit::ckNew(int onPE)
{
      void *msg = CkAllocSysMsg();
  CkCreateChare(__idx, __idx_LBDBInit, msg, 0, onPE);
}
void CProxy_LBDBInit::ckNew(CkChareID* pcid, int onPE)
{
      void *msg = CkAllocSysMsg();
  CkCreateChare(__idx, __idx_LBDBInit, msg, pcid, onPE);
}
  CProxy_LBDBInit::CProxy_LBDBInit(int onPE)
{
      void *msg = CkAllocSysMsg();
  CkCreateChare(__idx, __idx_LBDBInit, msg, &_ck_cid, onPE);
}
void CProxy_LBDBInit::_call_LBDBInit(CkArgMsg* msg, LBDBInit* obj)
{
  new (obj) LBDBInit((CkArgMsg*)msg);
}
#endif /*CK_TEMPLATES_ONLY*/

/* DEFS: group LBDatabase{
void LBDatabase(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_LBDatabase::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_LBDatabase::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
    /* REG: void LBDatabase(void);
*/
      __idx_LBDatabase_void = CkRegisterEp("LBDatabase", (CkCallFnPtr)_call_LBDatabase_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void LBDatabase(void);
 */
int CProxy_LBDatabase::__idx_LBDatabase_void=0;
CkGroupID CProxy_LBDatabase::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_LBDatabase_void, msg, 0, 0);
}
CkGroupID CProxy_LBDatabase::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_LBDatabase_void, msg);
}
  CProxy_LBDatabase::CProxy_LBDatabase(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_LBDatabase_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_LBDatabase::CProxy_LBDatabase(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_LBDatabase_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_LBDatabase::_call_LBDatabase_void(void* msg, LBDatabase* obj)
{
  new (obj) LBDatabase();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerLBDatabase(void)
{
  static int _done = 0; if(_done) return; _done = 1;
  CkRegisterReadonly(sizeof(CkGroupID), (void *) &lbdb);

/* REG: mainchare LBDBInit{
LBDBInit();
};
*/
  CProxy_LBDBInit::__register("LBDBInit", sizeof(LBDBInit));

/* REG: group LBDatabase{
void LBDatabase(void);
};
*/
  CProxy_LBDatabase::__register("LBDatabase", sizeof(LBDatabase));

}
#endif
